Subject: Re: Checksum offload queries

From: Sowmini Varadhan <[email-masked]>
Date: Sat, 12 Dec 2015 11:41:37 -0500

On (12/11/15 15:50), Tom Herbert wrote:
> layers of encapsulation. For example, suppose send a UDP packet in
> VXLAN in VXLAN, where packet looks like:
> IP|UDP|VXLAN|Eth|IP|UDP|VXLAN|Eth|IP|UDP. I believe the kernel can set

Without detracting from the fact that you have probably found a bug
for checksumming here..

if you have multiple encapsulations above (vxlan over vxlan?)
I think lot of other things like pmtu may also be broken?  (Each
encaps layer lowers the actual application mtu till the thing starts 
to get absurd)

--Sowmini